- Qt 5.5
- Qt3D Module
- C++ Classes
- QThreadPooler
- Qt 5.5.1 Reference Documentation

# QThreadPooler Class

(Qt3D::QThreadPooler)

Inherits: |

- List of all members, including inherited members

## Public Functions

| QThreadPooler(QObject * parent = 0)
| ~QThreadPooler()
QFuture<void> | future()
QFuture<void> | mapDependables(QVector<RunnableInterface *> & taskQueue)
int | maxThreadCount() const
void | setDependencyHandler(DependencyHandler * handler)
void | taskFinished(RunnableInterface * task)

## Member Function Documentation

### QThreadPooler::QThreadPooler(QObject * parent = 0)

### QThreadPooler::~QThreadPooler()

### QFuture<void> QThreadPooler::future()

### QFuture<void> QThreadPooler::mapDependables(QVector<RunnableInterface *> & taskQueue)

### int QThreadPooler::maxThreadCount() const

### void QThreadPooler::setDependencyHandler(DependencyHandler * handler)

### void QThreadPooler::taskFinished(RunnableInterface * task)